##############################################################################
#
# Copyright (c) 2007 Agendaless Consulting and Contributors.
# Copyright (c) 2008 Florent Aide, <florent.aide@gmail.com>
# All Rights Reserved.
#
# This software is subject to the provisions of the BSD-like license at
# http://www.repoze.org/LICENSE.txt.  A copy of the license should accompany
# this distribution.  THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL
# EXPRESS OR IMPLIED WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO,
# THE IMPLIED WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND
# FITNESS FOR A PARTICULAR PURPOSE
#
##############################################################################

__version__ = '0.1'

import os

from ez_setup import use_setuptools
use_setuptools()

from setuptools import setup, find_packages

here = os.path.abspath(os.path.dirname(__file__))
README = open(os.path.join(here, 'README.txt')).read()

setup(name='tg.ext.repoze.who',
      version=__version__,
      description=('tg.ext.repoze.who are repoze.who plugins for TurboGears 2'),
      long_description=README,
      classifiers=[
        "Development Status :: 1 - Planning",
        "Intended Audience :: Developers",
        "Programming Language :: Python",
        "Topic :: Internet :: WWW/HTTP",
        "Topic :: Internet :: WWW/HTTP :: Dynamic Content",
        "Topic :: Internet :: WWW/HTTP :: WSGI",
        "Topic :: Internet :: WWW/HTTP :: WSGI :: Application",
        ],
      keywords='web application server wsgi tg2',
      author="Chris McDonough, Florent Aide, Christopher Perkins",
      author_email="repoze-dev@lists.repoze.org",
      namespace_packages = ['tg.ext'],
      dependency_links=['http://dist.repoze.org/who/latest'],
      url="http://www.repoze.org",
      license="BSD-derived (http://www.repoze.org/LICENSE.txt)",
      packages=find_packages(),
      include_package_data=True,
      zip_safe=False,
      tests_require = ['repoze.who'],
      install_requires=['repoze.who>=1.0.1'],
      test_suite="tests",
      entry_points = """\
      """
      )

